QGIS Application - Bug report #14465
Styling of Microsoft SQL data not working
2016-03-12 04:44 AM - Arnold Huisman

Status: Closed

Priority: High

Assignee:

Category: Data Provider/MSSQL

Affected QGIS version:2.14.0 Regression?: No
Operating System: Windows Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 22443
Description

Styling of data coming from Microsoft SQL Server does not work. When applying a style that is dependant on data, for example setting a
categorized or rule dependant fill or labelling, the only thing that is rendered is the default color or label. Using the same exact style (via
copy and paste) on the postgre or shapefile works correctly. The styling also worked in 2.8.7 Itr. Looks like a bug in the MS-SQL driver or
render engine.

| have doen the follwoing to reproduce the error:

- Create a table with a geometry column and a nvarchar(50) column as identifier (for categorized style or labelling)

- Add this table as a layer in QGIS

- Apply a label render with the label being the nvarchar column. The text is not rendered on the map.

- Apply a categorized or rule based style with the nvarchar column, only the default is rendered. The column does not seem to be
evaluted.

- This applies to all kinds of geometry, points, lines and polygons.

- Using the same style on exactly the same table in postgre or as a shapefile works correctly.

Related issues:
Duplicates QGIS Application - Bug report # 14402: Labels and MSSQL layers Closed 2016-03-02

History

#1 - 2016-03-12 08:06 AM - Anita Graser

- Operating System changed from Windows + MSSQL to Windows
- Category set to Data Provider/MSSQL

#2 - 2016-03-12 08:07 AM - Anita Graser

Probably a duplicate of #14402

#3 - 2016-03-12 08:11 AM - Arnold Huisman

- % Done changed from 0 to 100

- Target version set to Version 2.14
- Status changed from Open to Closed

| looked at the other bug and it is the same behavior, so it is solved already. | will test it when a new release of QGIS 2.14 is done.
